Name:           inadyn-mt

Version:        2.20.40
Release: 	1%{?dist}

Summary:        Dynamic DNS Client

Group:          System Environment/Daemons
License:        GPLv3
URL:            http://inadyn-mt.sourceforge.net
Source0:        http://prdownloads.sourceforge.net/inadyn-mt/inadyn-mt.v.0%{version}.tar.gz
Source1:        inadyn-mt.conf
Source2:        inadyn.init
Source3:	inadyn.service

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libao-devel

Requires:	%{name}-sysvinit

Obsoletes: 	inadyn < %{version}
Provides:  	inadyn = %{version}-%{release}

%description
INADYN-MT is a dynamic DNS client. It maintains the IP address of 
a host name. It periodically checks wheather the IP address stored
by the DSN server is the real current address of the machine that
is running INADYN-MT.

Before using inadyn-mt for the first time you must use the DynDNS
provider's web interface to create the entry for the hostname. You
should then fill in /etc/inadyn.conf with the appropriate detail

%package sysvinit
Summary:	  SysV initscripts for inadyn-mt
Group:		  System Environment/Base
Provides:	  init(%{name}) = sysv
Requires:	  %{name} = %{version}-%{release}
Requires(preun):  %{name} initscripts
Requires(postun): %{name} initscripts
Requires(pos):	  /sbin/chkconfig
Requires(preun):  /sbin/chkconfig
BuildArch:	  noarch

%description sysvinit
INADYN-MT is a dynamic DNS client. It maintains the IP address of 
a host name. It periodically checks wheather the IP address stored
by the DSN server is the real current address of the machine that
is running INADYN-MT.

Before using inadyn-mt for the first time you must use the DynDNS
provider's web interface to create the entry for the hostname. You
should then fill in /etc/inadyn.conf with the appropriate detail

This package provides ths scripts which can be used to start inadyn-mt
with the SysV initconcept.

%package units
Summary:	  systemd service for inadyn-mt
Group:		  System Environment/Base
Provides:	  init(%{name}) = systemd
Requires:	  %{name} = %{version}-%{release}
Requires(preun):  %{name} systemd-units
Requires(post):   %{name} systemd-units
BuildArch:	  noarch

%description units
INADYN-MT is a dynamic DNS client. It maintains the IP address of 
a host name. It periodically checks wheather the IP address stored
by the DSN server is the real current address of the machine that
is running INADYN-MT.

Before using inadyn-mt for the first time you must use the DynDNS
provider's web interface to create the entry for the hostname. You
should then fill in /etc/inadyn.conf with the appropriate detail

This package provides ths scripts which can be used to start inadyn-mt
with the systemd initconcept.


%prep
%setup -q -n %name.v.0%{version}

%build
rm -rf bin/
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 src/inadyn-mt $RPM_BUILD_ROOT%{_sbindir}/inadyn

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 0644 man/inadyn.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 0644 man/inadyn.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 0600 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
%{__perl} -pe \
 's|/var/|%{_localstatedir}/|g ; \
  s|/usr/sbin/|%{_sbindir}/|g ; \
  s|/etc/([^ir])|%{_sysconfdir}/$1|g ; \
  s|/etc/rc\.d/init\.d/|%{_initrddir}/|g' \
  <%{SOURCE2} >$RPM_BUILD_ROOT%{_initrddir}/inadyn

mkdir -p $RPM_BUILD_ROOT%{_datadir}/inadyn-mt/lang
cp lang/* $RPM_BUILD_ROOT%{_datadir}/inadyn-mt/lang

mkdir -p $RPM_BUILD_ROOT%{_datadir}/inadyn-mt/extra
cp -R extra/* $RPM_BUILD_ROOT%{_datadir}/inadyn-mt/extra

mkdir -p ${RPM_BUILD_ROOT}/lib/systemd/system
install -p %{SOURCE3} ${RPM_BUILD_ROOT}/lib/systemd/system

%clean
rm -rf $RPM_BUILD_ROOT

%post sysvinit
/sbin/chkconfig --add inadyn

%preun sysvinit
if [ $1 -eq 0 ]; then
  /sbin/service inadyn stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del inadyn
fi

%postun sysvinit
if [ $1 -ge 1 ]; then
  /sbin/service inadyn condrestart >/dev/null
fi

%post units
/usr/bin/systemd-install --realize=minimal enable inadyn-mt.services >/dev/null 2>&1 || :

%preun units
if [ $1 -eq 0]; then
   /usr/bin/system-install --realize disable inadyn-mt.services >/dev/null 2>&1 || :
fi


%files 
%defattr(-,root,root,-)
%doc COPYING readme.html
%{_sbindir}/inadyn
%{_mandir}/man*/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/

%files sysvinit
%defattr(-,root,root,-)
%attr(0755,root,root) %{_initrddir}/inadyn

%changelog
* Mon Dec  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.40-1
- New upstream release to fix #660203

* Thu Dec  2 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.38-4
- Some changes to the unit file to adopt to trad. daemon behaviour

* Tue Nov 30 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.38-3
- Fix some systemd releated issues

* Sat Nov 27 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.38-2
- Obsoleting units and sysvinit subpakages

* Fri Nov 26 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.38-1
- New upstream release

* Wed Nov 24 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.34-1
- New upstream release
- try to provide a systemd-only release

* Mon Nov 22 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.32-1
- New upstream release

* Wed Nov 17 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.28-1
- New upstream release

* Wed Nov 17 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.20.22-1
- New upstream release
>>>>>>> 77f00a1... - Some changes to the unit file to adopt to trad. daemon behaviour

%files units
%defattr(-,root,root,-)
/lib/systemd/system/inadyn.service

%changelog
* Mon Nov 15 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.50-2
- Fix initscript dependency (#652116)

* Mon Nov  1 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.50-1
- New upstream release

* Sun Oct 24 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.42-1
- New upstream release

* Sat Jul 24 2010 Jochen Schmitt <Nochen herr-schmitt de> 2.18.36-2
- Fix broken inistscript
- Renaming service file in units subpackage

* Mon Jul 19 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.36-1
- New upstream release

* Sun Jul 18 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.34-3
- Fix typo

* Sun Jul 18 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.34-2
- Create seperate subpackages for sysv and systemd init
- Move inadyn-mt.conf to %%{_sysconfdir}
- Remove symlink from inadyn.conf to inadyn-mt.conf

* Tue May 18 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.24-1
- New upstream release

* Thu May 13 2010 Jochen Schmitt <JOchen herr-schmitt de> 2.18.18-1
- New upstream release

* Wed May 12 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.14-3
- Add patch for better handling of http_client_shutdown

* Tue May 11 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.14-2
- Suppress warnings of skipping /usr/lib libraries on x86_64 systems

* Sun Apr 25 2010 Jochen Schmitt <Jochen herr-schmitt de> 2.18.14-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 2.12.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 2.12.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.12.24-1
- New upstream release

* Mon Jul 28 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.12.22-2
- Add lang file
- Versioned Obsolete/Provide

* Sun Jul 27 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.12.22-1
- New upstream release
- Add verbatin text of the license
- Change license to GPLv3

* Wed Jun 18 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.12.18-1
- New upstream release

* Mon May 19 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.12.01-1
- New upstream release

* Thu Apr 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.11.96-1
- Inadyn-mt released as a succesor of inadyn

* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.96.2-3
- Rebuild for gcc-4.3

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.96.2-2
- Rebuild
- Make initscript LSB-Compilant

* Sun Sep  2 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.96.2-1
- New upstream release (#270801)

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.96-4
- Changing license tag

* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.96-3
- Rebuilt for FC-6

* Sun Feb 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.96-2
- Rebuilt for FC5

* Mon Oct 24 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.96-1
- New upstream relase

* Mon Aug 01 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.95-2
- Add suggested changes from Michael Schwendt

* Wed Jul 20 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.95-1
- New upstream release

* Tue May  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-11
- Move note from README.Fedora to %%description

* Tue May  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-9
- And special usage notes
- Use of /sbin/service to manage initscript in scriptlet
- Modify initscript, becouse bash don't return PID

* Thu Apr 28 2005 Jochen Schmitt <Jochen herr-schmitt.de> 1.90-8
- Replace ez_pid to ina_pid in initscript

* Wed Apr 27 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-7
- Enable status in initscript

* Wed Apr 27 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-6
- Add initscript

* Thu Apr 26 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-5
- Add URL to Source0

* Thu Apr 12 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-4
- Corrected use of percentage sign in changelog

* Mon Apr 11 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-3
- Some inprovements from Michael Schwendt

* Sun Apr 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-2
- Clearance in the %%Setup macro

* Thu Apr  7 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.90-1
- Initial RPM release
